AbtDbmIbmCliBaseApp becomeDefault!

!AbtIbmCliDatabaseConnection publicMethods !

allTableAndViewNamesWithQualifiersIfError: anErrorBlock
	"Answer all the user tables and views defined in this database."

	| data rt cursor |
	data := OrderedCollection new: 10.
	rt := self tableAndViewRT.   
	( rt isAbtError ) ifTrue: [ ^rt ].
	cursor := rt cursor.
	rt do: [ :aRow | |owner| ((owner := ( aRow at: 'TABLE_SCHEM' )) isNil)	"If this DBM does not support table owners - Then only display table name"
									ifTrue: [data add: ( aRow at: 'TABLE_NAME' )] 
									ifFalse: [data add: (owner , '.' , ( aRow at: 'TABLE_NAME' ))]] ifError: anErrorBlock.
	cursor freeResources.
	^data!

allTableNamesWithQualifiersIfError: anErrorBlock
	"Answer all the user tables defined in this database."

	| data rt cursor |
	data := OrderedCollection new: 10.
	rt := self tableRT.   
	( rt isAbtError ) ifTrue: [ ^rt ]. 
	cursor := rt cursor.
	rt do: [ :aRow | |owner| ((owner := ( aRow at: 'TABLE_SCHEM' )) isNil)
									ifTrue: [data add: ( aRow at: 'TABLE_NAME' )]
									ifFalse: [data add: (owner , '.' , ( aRow at: 'TABLE_NAME' ))]] ifError: anErrorBlock.
	cursor freeResources.
	^data!

allUserTableAndViewNamesForQualifiers: aCollection ifError: anErrorBlock

	"Answer all the user tables and views defined in this database."

	| data rt cursor |
	data := OrderedCollection new: 10.
	rt := self userTableAndViewRTForQualifiers: aCollection.   
	( rt isAbtError ) ifTrue: [ ^rt ].
	cursor := rt cursor.
	rt do: [ :aRow | |owner| ((owner := ( aRow at: 'TABLE_SCHEM' )) isNil)	"If this DBM does not support table owners - Then only display table name"
									ifTrue: [data add: ( aRow at: 'TABLE_NAME' )] 
									ifFalse: [data add: (owner , '.' , ( aRow at: 'TABLE_NAME' ))]] ifError: anErrorBlock.
	cursor freeResources.
	^data!

allUserTableAndViewNamesWithQualifiersIfError: anErrorBlock
	"Answer all the user tables and views defined in this database."

	| data rt cursor |
	data := OrderedCollection new: 10.
	rt := self userTableAndViewRT.   
	( rt isAbtError ) ifTrue: [ ^rt ].
	cursor := rt cursor.
	rt do: [ :aRow | |owner| ((owner := ( aRow at: 'TABLE_SCHEM' )) isNil)	"If this DBM does not support table owners - Then only display table name"
									ifTrue: [data add: ( aRow at: 'TABLE_NAME' )] 
									ifFalse: [data add: (owner , '.' , ( aRow at: 'TABLE_NAME' ))]] ifError: anErrorBlock.
	cursor freeResources.
	^data!

allUserTableNamesWithQualifiersIfError: anErrorBlock
	"Answer all the user tables defined in this database."

	| data rt cursor |
	data := OrderedCollection new: 10.
	rt := self userTableRT.   
	( rt isAbtError ) ifTrue: [ ^rt ].
	cursor := rt cursor. 
	rt do: [ :aRow | |owner| ((owner := ( aRow at: 'TABLE_SCHEM' )) isNil)
									ifTrue: [data add: ( aRow at: 'TABLE_NAME' )]
									ifFalse: [data add: (owner , '.' , ( aRow at: 'TABLE_NAME' ))]] ifError: anErrorBlock.
	cursor freeResources.
	^data! !
